# std::chrono::weekday_indexed::ok

From cppreference.com
< cpp‎ | chrono‎ | weekday indexed

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if the weekday object and the index stored in `*this` are both valid.

### Return value

true if weekday().ok() == true and index() is in the range [1, 5]. Otherwise false.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/weekday_indexed/ok&oldid=104782"